# ReqAccept

Auto accepts follows from instances on the whitelist. It accepts a few instances I know to be fine by default. Go ahead and @ [me](https://mastodon.barkshark.tk/@izaliamae) if you want an instance added to a list.

### Installation

Install requirements with command below and then run app.py once to login. Run again after you've configured the whitelist.

```
pip3 install -r requirements.txt
```

### Configuration

You can configure the whitelist in ~/.config/ReqAccept/config.ini or via sub-commands. The 'add' and 'rm' sub-commands will accept a space-separated list of instances

```
add: Add instances to the whitelist
rm: Remove instances from the whitelist
list: Show all instances on the whitelist
```

### Whitelists

These lists can be imported directly via cat. For example:

```
./app.py add `cat furry.list`
```
or
```
./app.py rm `cat furry.list`
```

[Furry](https://git.barkshark.tk/izaliamae/reqaccept/src/branch/master/furry.list)
